DepthTest (JavaFX 13)

Module javafx.graphics
Package javafx.scene

## Enum DepthTest

- java.lang.Object
- - java.lang.Enum<DepthTest>
  - - javafx.scene.DepthTest

- All Implemented Interfaces:
    `Serializable`, `Comparable<DepthTest>`

      public enum DepthTest
      extends Enum<DepthTest>

  This enum defines the possible states for the depthTest flag in node. Note that this is a conditional feature. See `ConditionalFeature.SCENE3D` for more information.
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISABLE` | Specifies that depth testing is disabled.
    `ENABLE` | Specifies that depth testing is enabled.
    `INHERIT` | Specifies that the depth testing state is inherited from the parent.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DepthTest` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DepthTest[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLE

          public static final DepthTest DISABLE

      Specifies that depth testing is disabled.

    - #### ENABLE

          public static final DepthTest ENABLE

      Specifies that depth testing is enabled.

    - #### INHERIT

          public static final DepthTest INHERIT

      Specifies that the depth testing state is inherited from the parent.

  - ### Method Detail

    - #### values

          public static DepthTest[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DepthTest c : DepthTest.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DepthTest valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null